const system = require("../../system");
const Dao = require("../dao.base");
class IcpCustomerInfoDao extends Dao {
  constructor() {
    super(Dao.getModelName(IcpCustomerInfoDao));
  }
  async findOneByCodeAndUserId(code, owner_id) {
    return this.model.findOne({
      "where": { "code": code, "owner_id": owner_id },
      raw: true
    });
  }
}
module.exports = IcpCustomerInfoDao;
